OpenNMS API 1.2.9

## org.opennms.web.parsers
Class XMLHeader

    java.lang.Object
      org.opennms.web.parsers.XMLHeader

public class XMLHeader
extends java.lang.Object

This class holds the information parsed from a header of an OpenNMS xml file.

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Field Summary
`private static java.lang.String` `CREATED`
`private static java.lang.String` `CREATED_ATT_DAY`
`private static java.lang.String` `CREATED_ATT_HOUR`
`private static java.lang.String` `CREATED_ATT_MIN`
`private static java.lang.String` `CREATED_ATT_MONTH`
`private static java.lang.String` `CREATED_ATT_SEC`
`private static java.lang.String` `CREATED_ATT_YEAR`
`private static java.lang.String` `HEADER`
`protected org.w3c.dom.Document` `m_document`
`protected org.w3c.dom.Element` `m_headerElement`
`protected org.w3c.dom.Element` `m_root`
`protected java.lang.String` `m_version`
`private static java.lang.String` `MSTATION`
`private static java.lang.String` `REV`

Constructor Summary
`XMLHeader()` Default constructor, does nothing
`XMLHeader(java.lang.String version, org.w3c.dom.Document document)`

Method Summary
`void` `buildDocument()`
`org.w3c.dom.Element` `getHeaderElement()`
`private java.lang.String` `getHost()`
`java.lang.String` `getMasterStation()` Returns the master station
`java.lang.String` `getVersion()` Returns the version
`void` `setMasterStation(java.lang.String aStation)` Sets the master station
`void` `setVersion(java.lang.String aVersion)` Sets the version
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HEADER

    private static final java.lang.String HEADER

See Also:
  Constant Field Values

### REV

    private static final java.lang.String REV

See Also:
  Constant Field Values

### CREATED

    private static final java.lang.String CREATED

See Also:
  Constant Field Values

### CREATED_ATT_YEAR

    private static final java.lang.String CREATED_ATT_YEAR

See Also:
  Constant Field Values

### CREATED_ATT_MONTH

    private static final java.lang.String CREATED_ATT_MONTH

See Also:
  Constant Field Values

### CREATED_ATT_DAY

    private static final java.lang.String CREATED_ATT_DAY

See Also:
  Constant Field Values

### CREATED_ATT_HOUR

    private static final java.lang.String CREATED_ATT_HOUR

See Also:
  Constant Field Values

### CREATED_ATT_MIN

    private static final java.lang.String CREATED_ATT_MIN

See Also:
  Constant Field Values

### CREATED_ATT_SEC

    private static final java.lang.String CREATED_ATT_SEC

See Also:
  Constant Field Values

### MSTATION

    private static final java.lang.String MSTATION

See Also:
  Constant Field Values

### m_document

    protected org.w3c.dom.Document m_document

### m_root

    protected org.w3c.dom.Element m_root

### m_headerElement

    protected org.w3c.dom.Element m_headerElement

### m_version

    protected java.lang.String m_version

Constructor Detail

### XMLHeader

    public XMLHeader()

  Default constructor, does nothing

### XMLHeader

    public XMLHeader(java.lang.String version,
                     org.w3c.dom.Document document)

Method Detail

### setVersion

    public void setVersion(java.lang.String aVersion)

  Sets the version

  Parameters:
    `aVersion` - the version

### getVersion

    public java.lang.String getVersion()

  Returns the version

  Returns:
    the version

### setMasterStation

    public void setMasterStation(java.lang.String aStation)

  Sets the master station

  Parameters:
    `aStation` - the master station

### getMasterStation

    public java.lang.String getMasterStation()

  Returns the master station

  Returns:
    the master station

### getHost

    private java.lang.String getHost()

### buildDocument

    public void buildDocument()

### getHeaderElement

    public org.w3c.dom.Element getHeaderElement()

### toString

    public java.lang.String toString()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.